ランタイム: Mix::Dynamics::IObject Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | List of all members
Mix::Dynamics::IObject Class Referenceabstract

オブジェクトインターフェース More...

`#include <IObject.h>`

Inheritance diagram for Mix::Dynamics::IObject:
[legend]
Collaboration diagram for Mix::Dynamics::IObject:
[legend]

## Public Types

enum | TYPE { STATIC_PLANE = 0, STATIC_MESH = 1, RIGIDBODY = 2, SENSOR = 3, KINEMATIC_CHARACTER = 4, VEHICLE = 5 }
| タイプ列挙定数 More...

## Public Member Functions

virtual Mix::Dynamics::IObject::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | GetShape (Mix::Dynamics::IShape **ppShape)=0
| シェイプを取得します More...
virtual Float32 | GetShapeMargin (void) const =0
| シェイプの衝突マージンを取得します More...
virtual void | SetShapeMargin (Float32 margin)=0
| シェイプの衝突マージンを設定します More...
virtual UInt16 | GetFilterGroup (void) const =0
| フィルターグループを取得します More...
virtual void | SetFilterGroup (UInt16 filterGroup)=0
| フィルターグループを設定します More...
virtual UInt16 | GetFilterMask (void) const =0
| フィルターマスクを取得します More...
virtual void | SetFilterMask (UInt16 filterMask)=0
| フィルターマスクを設定します More...
virtual const Mix::Dynamics::MATERIAL & | GetMaterial (void) const =0
| マテリアルを取得します More...
virtual void | SetMaterial (const Mix::Dynamics::MATERIAL &material)=0
| マテリアルを設定します More...
virtual Mix::Quaternion | GetWorldRotation (void) const =0
| ワールドの回転を取得します More...
virtual Mix::Vector3 | GetWorldPosition (void) const =0
| ワールドの位置を取得します More...
virtual Mix::Matrix4x4 | GetWorldMatrix (void) const =0
| ワールド行列を取得します More...
virtual void | SetWorldRotation (const Mix::Quaternion &rot)=0
| ワールドの回転を設定します More...
virtual void | SetWorldPosition (const Mix::Vector3 &pos)=0
| ワールドの位置を設定します More...
virtual void | SetWorldTransform (const Mix::Quaternion &rot, const Mix::Vector3 &pos)=0
| ワールドトランスフォームを設定します More...
virtual Boolean | IsInWorld (void) const =0
| ワールドに配置されているかどうかを確認します More...
virtual Mix::Geometry::AABB | GetBounds (void) const =0
| 境界を取得します More...
virtual Boolean | AddListener (Mix::Dynamics::IObjectListener *pListener)=0
| リスナーを追加します More...
virtual void | RemoveListener (Mix::Dynamics::IObjectListener *pListener)=0
| リスナーを削除します More...
virtual Int32 | GetUserIndex (void) const =0
| ユーザーインデックスを取得します More...
virtual void | SetUserIndex (Int32 index)=0
| ユーザーインデックスを設定します More...
virtual void * | GetUserPtr (void) const =0
| ユーザーポインタを取得します More...
virtual void | SetUserPtr (void *pData)=0
| ユーザーポインタを設定します More...
virtual UInt32 | Debug_GetDrawFlags (void) const =0
| デバッグ : 描画フラグを取得します More...
virtual void | Debug_SetDrawFlags (UInt32 flags)=0
| デバッグ : 描画フラグを設定します More...
virtual Float32 | Debug_GetDrawAxisScaling (void) const =0
| デバッグ : 軸を描画する際のを取得します More...
virtual void | Debug_SetDrawAxisScaling (Float32 scaling)=0
| デバッグ : 軸を描画する際のスケールを設定します More...
virtual void | Debug_Draw (Mix::Graphics::Utility::IPerspectiveRenderer *pPerspectiveRenderer, Float32 opacity=1.0f)=0
| デバッグ描画をします More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

オブジェクトインターフェース

## Member Enumeration Documentation

enum Mix::Dynamics::IObject::TYPE

タイプ列挙定数

Enumerator
STATIC_PLANE | スタティックプレーン
STATIC_MESH | スタティックメッシュ
RIGIDBODY | リジッドボディ
SENSOR | センサー
KINEMATIC_CHARACTER | キネマティックキャラクター
VEHICLE | ビハイクル

## Constructor & Destructor Documentation

virtual Mix::Dynamics::IObject::~IObject | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual Mix::Dynamics::IObject::TYPE Mix::Dynamics::IObject::GetType | ( | void |  | ) | const

pure virtual

種類を取得します

Returns
  種類を表す Mix::Dynamics::IObject::TYPE 列挙定数を返します

virtual Boolean Mix::Dynamics::IObject::GetShape | ( | Mix::Dynamics::IShape ** | ppShape | ) |

pure virtual

シェイプを取得します

Parameters

  [out] | ppShape | 取得したシェイプを渡す Mix::Dynamics::IShape インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  以下のオブジェクトはシェイプを取得することができないため、
  このメソッドは常に False を返します。
  Mix::Dynamics::IStaticPlane
  Mix::Dynamics::IStaticMesh

virtual Float32 Mix::Dynamics::IObject::GetShapeMargin | ( | void |  | ) | const

pure virtual

シェイプの衝突マージンを取得します

Returns
  衝突マージンを返します

Note
  Mix::Dynamics::IShape::GetMargine を呼び出しています

virtual void Mix::Dynamics::IObject::SetShapeMargin | ( | Float32 | margin | ) |

pure virtual

シェイプの衝突マージンを設定します

Parameters

  [in] | margin | 衝突マージン

Note
  Mix::Dynamics::IShape::SetMargine を呼び出しています

virtual UInt16 Mix::Dynamics::IObject::GetFilterGroup | ( | void |  | ) | const

pure virtual

フィルターグループを取得します

Returns
  フィルターグループを返します

virtual void Mix::Dynamics::IObject::SetFilterGroup | ( | UInt16 | filterGroup | ) |

pure virtual

フィルターグループを設定します

Parameters

  [in] | filterGroup | フィルターグループ

virtual UInt16 Mix::Dynamics::IObject::GetFilterMask | ( | void |  | ) | const

pure virtual

フィルターマスクを取得します

Returns
  フィルターマスクを返します

virtual void Mix::Dynamics::IObject::SetFilterMask | ( | UInt16 | filterMask | ) |

pure virtual

フィルターマスクを設定します

Parameters

  [in] | filterMask | フィルターマスク

virtual const Mix::Dynamics::MATERIAL& Mix::Dynamics::IObject::GetMaterial | ( | void |  | ) | const

pure virtual

マテリアルを取得します

Returns
  マテリアルを表す Mix::Dynamics::MATERIAL 構造体を返します

virtual void Mix::Dynamics::IObject::SetMaterial | ( | const Mix::Dynamics::MATERIAL & | material | ) |

pure virtual

マテリアルを設定します

Parameters

  [in] | material | マテリアルを表す Mix::Dynamics::MATERIAL 構造体

virtual Mix::Quaternion Mix::Dynamics::IObject::GetWorldRotation | ( | void |  | ) | const

pure virtual

ワールドの回転を取得します

Returns
  ワールドの回転を表す Mix::Quaternion クラスを返します

virtual Mix::Vector3 Mix::Dynamics::IObject::GetWorldPosition | ( | void |  | ) | const

pure virtual

ワールドの位置を取得します

Returns
  位置を表す Mix::Vector3 クラスを返します

virtual Mix::Matrix4x4 Mix::Dynamics::IObject::GetWorldMatrix | ( | void |  | ) | const

pure virtual

ワールド行列を取得します

Returns
  ワールド行列を表す Mix::Matrix4x4 クラスを返します

virtual void Mix::Dynamics::IObject::SetWorldRotation | ( | const Mix::Quaternion & | rot | ) |

pure virtual

ワールドの回転を設定します

Parameters

  [in] | rot | 回転を表す Mix::Quaternion クラス

virtual void Mix::Dynamics::IObject::SetWorldPosition | ( | const Mix::Vector3 & | pos | ) |

pure virtual

ワールドの位置を設定します

Parameters

  [in] | pos | 位置を表す Mix::Vector3 クラス

virtual void Mix::Dynamics::IObject::SetWorldTransform | ( | const Mix::Quaternion & | rot,
|  | const Mix::Vector3 & | pos
| ) |  |

pure virtual

ワールドトランスフォームを設定します

Parameters

  [in] | rot | 回転を表す Mix::Quaternion クラス
  [in] | pos | 位置を表す Mix::Vector3 クラス

virtual Boolean Mix::Dynamics::IObject::IsInWorld | ( | void |  | ) | const

pure virtual

ワールドに配置されているかどうかを確認します

Returns
  配置されている場合は True を返します

virtual Mix::Geometry::AABB Mix::Dynamics::IObject::GetBounds | ( | void |  | ) | const

pure virtual

境界を取得します

Returns
  境界を表す Mix::Geometry::AABB クラスを返します

virtual Boolean Mix::Dynamics::IObject::AddListener | ( | Mix::Dynamics::IObjectListener * | pListener | ) |

pure virtual

リスナーを追加します

Parameters

  [in] | pListener | 追加するリスナーを表す Mix::Dynamics::IObjectListener インターフェースのポインタ

Returns
  追加に成功した場合は True を返します

virtual void Mix::Dynamics::IObject::RemoveListener | ( | Mix::Dynamics::IObjectListener * | pListener | ) |

pure virtual

リスナーを削除します

Parameters

  [in] | pListener | 削除するリスナーを表す Mix::Dynamics::IObjectListener インターフェースのポインタ

virtual Int32 Mix::Dynamics::IObject::GetUserIndex | ( | void |  | ) | const

pure virtual

ユーザーインデックスを取得します

Returns
  インデックスを返します

virtual void Mix::Dynamics::IObject::SetUserIndex | ( | Int32 | index | ) |

pure virtual

ユーザーインデックスを設定します

Parameters

  index | インデックス

Note
  この値はユーザーが自由に使用できます

virtual void* Mix::Dynamics::IObject::GetUserPtr | ( | void |  | ) | const

pure virtual

ユーザーポインタを取得します

Returns
  ポインタを返します

virtual void Mix::Dynamics::IObject::SetUserPtr | ( | void * | pData | ) |

pure virtual

ユーザーポインタを設定します

Parameters

  pData | ポインタ

Note
  この値はユーザーが自由に使用できます

virtual UInt32 Mix::Dynamics::IObject::Debug_GetDrawFlags | ( | void |  | ) | const

pure virtual

デバッグ : 描画フラグを取得します

Returns
  描画フラグを表す Mix::Dynamics::DEBUG_DRAW_FLAG 列挙定数の組み合わせを返します

virtual void Mix::Dynamics::IObject::Debug_SetDrawFlags | ( | UInt32 | flags | ) |

pure virtual

デバッグ : 描画フラグを設定します

Parameters

  [in] | flags | 描画フラグを表す Mix::Dynamics::DEBUG_DRAW_FLAG 列挙定数の組み合わせ

virtual Float32 Mix::Dynamics::IObject::Debug_GetDrawAxisScaling | ( | void |  | ) | const

pure virtual

デバッグ : 軸を描画する際のを取得します

Returns
  軸を描画する際のスケールを返します

virtual void Mix::Dynamics::IObject::Debug_SetDrawAxisScaling | ( | Float32 | scaling | ) |

pure virtual

デバッグ : 軸を描画する際のスケールを設定します

Parameters

  [in] | scaling | 軸を描画する際のスケール( 0.0f以上 )

virtual void Mix::Dynamics::IObject::Debug_Draw | ( | Mix::Graphics::Utility::IPerspectiveRenderer * | pPerspectiveRenderer,
|  | Float32 | opacity = `1.0f`
| ) |  |

pure virtual

デバッグ描画をします

Parameters

  [in] | pPerspectiveRenderer | デバッグ描画用のインターフェースを表す Mix::Graphics::Utility::IPerspectiveRenderer インターフェースのポインタ
  [in] | opacity | 不透明度( 0.0f〜1.0f )

The documentation for this class was generated from the following file:

- Mix/Dynamics/IObject.h